API7 GatewayAPI7 Enterprise Admin APIsGenerate script to install the gateway api resources for ingress gateway group.
Generate script to install the gateway api resources for ingress gateway group.
GET /api/gateway_groups/{gateway_group_id}/ingress/step1
GET /api/gateway_groups/{gateway_group_id}/ingress/step1Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthQuery Parameters
namespace?string
Namespace to install the ingress controller.
name?string
Helm release name.
Response Body
text/plain
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/ingress/step1"Successfully generated the ingress controller installation script.
"string"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Successful operation.
{
"value": {}
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/ingress/step1
Generate script to install the gateway api resources for ingress gateway group.
Parameters
gateway_group_id(path, string, required): Gateway group ID.namespace(query, string, optional): Namespace to install the ingress controller.name(query, string, optional): Helm release name.
Responses
200: Successfully generated the ingress controller installation script.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.default: Successful operation.value(object, optional): The specific resource.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/ingress/step1'